From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi-core/
Date: Fri, 10 Jun 2022 14:30:11 +0000 (UTC) [thread overview]
Message-ID: <1654871398.f6a8df2a7269d2d1b930fa462bf5388a0c160394.andrewammerlaan@gentoo> (raw)
commit: f6a8df2a7269d2d1b930fa462bf5388a0c160394
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 10 13:28:48 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Jun 10 14:29:58 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6a8df2a
dev-python/openapi-core: new package, add 0.14.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
dev-python/openapi-core/Manifest | 1 +
dev-python/openapi-core/metadata.xml | 12 +++++
dev-python/openapi-core/openapi-core-0.14.2.ebuild | 62 ++++++++++++++++++++++
3 files changed, 75 insertions(+)
diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
new file mode 100644
index 000000000000..3d8678cf8eea
--- /dev/null
+++ b/dev-python/openapi-core/Manifest
@@ -0,0 +1 @@
+DIST openapi-core-0.14.2.gh.tar.gz 57519 BLAKE2B 06dfd284612ca11a271f075444db9b859ca5416e31594680d6b32abec1fe917105f213209d1bfcb9664b265ea3d62839579134e8e104754075cd692d1ba7a99a SHA512 19a2508d56053214993abed7d173d17b55a80dac6421681d7c64082f910bf9cb03c99d4006a2cd883d51d54f11a18f90188f141a78b9d69a9a031c284a14f8f1
diff --git a/dev-python/openapi-core/metadata.xml b/dev-python/openapi-core/metadata.xml
new file mode 100644
index 000000000000..13f408253cd2
--- /dev/null
+++ b/dev-python/openapi-core/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">p1c2u/openapi-core</remote-id>
+ <remote-id type="pypi">openapi-core</remote-id>
+ </upstream>
+ <stabilize-allarches/>
+</pkgmetadata>
diff --git a/dev-python/openapi-core/openapi-core-0.14.2.ebuild b/dev-python/openapi-core/openapi-core-0.14.2.ebuild
new file mode 100644
index 000000000000..810e7efb1133
--- /dev/null
+++ b/dev-python/openapi-core/openapi-core-0.14.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Client-side and server-side support for the OpenAPI Specification v3"
+HOMEPAGE="
+ https://github.com/p1c2u/openapi-core/
+ https://pypi.org/project/openapi-core/
+"
+SRC_URI="
+ https://github.com/p1c2u/openapi-core/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/isodate[${PYTHON_USEDEP}]
+ dev-python/dictpath[${PYTHON_USEDEP}]
+ dev-python/openapi-schema-validator[${PYTHON_USEDEP}]
+ dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/lazy-object-proxy[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/parse[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/djangorestframework[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/webob[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # falcon not packaged
+ rm -r tests/integration/contrib/falcon || die
+
+ # Theses tests fail to collect
+ rm tests/integration/validation/test_security_override.py || die
+ rm tests/integration/validation/test_read_only_write_only.py || die
+
+ # There's a problem in the test suite here
+ rm tests/unit/unmarshalling/test_unmarshal.py || die
+ rm tests/integration/contrib/django/test_django_rest_framework_apiview.py || die
+
+ sed -i -e '/--cov/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2022-06-10 14:30 UTC|newest]
Thread overview: 72+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-10 14:30 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-06-11 7:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi-core/ Andrew Ammerlaan
2022-09-03 12:04 Michał Górny
2022-09-22 11:01 Michał Górny
2022-09-22 14:47 Andrew Ammerlaan
2022-10-05 9:41 Michał Górny
2022-10-05 19:23 Michał Górny
2022-10-07 20:31 Michał Górny
2022-10-10 14:04 Michał Górny
2022-10-12 19:22 Sam James
2022-10-12 19:22 Sam James
2022-10-13 5:06 Michał Górny
2022-11-26 6:28 Michał Górny
2022-12-21 7:51 Michał Górny
2023-01-19 17:43 Michał Górny
2023-01-25 7:55 Michał Górny
2023-02-16 14:13 Michał Górny
2023-03-03 5:53 Michał Górny
2023-03-06 14:05 Michał Górny
2023-03-17 13:33 Michał Górny
2023-06-13 16:26 Michał Górny
2023-06-16 4:05 Michał Górny
2023-07-11 6:45 Michał Górny
2023-07-24 10:49 Michał Górny
2023-08-13 6:37 Joonas Niilola
2023-08-13 16:08 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:10 Arthur Zamarin
2023-08-14 17:57 Jakov Smolić
2023-08-14 17:57 Jakov Smolić
2023-09-10 5:27 WANG Xuerui
2023-09-14 5:27 WANG Xuerui
2023-09-14 15:39 Michał Górny
2023-09-18 20:47 Arthur Zamarin
2023-10-13 14:47 Arthur Zamarin
2023-10-15 7:45 Sam James
2023-10-15 17:27 Michał Górny
2023-10-24 17:51 Michał Górny
2023-11-07 15:19 Michał Górny
2023-11-20 15:23 Michał Górny
2023-11-25 15:20 Arthur Zamarin
2023-11-25 15:36 Michał Górny
2024-02-15 18:34 Jakov Smolić
2024-02-15 19:43 Jakov Smolić
2024-02-15 21:15 Sam James
2024-03-01 7:28 Viorel Munteanu
2024-03-01 7:28 Viorel Munteanu
2024-03-01 7:28 Viorel Munteanu
2024-03-02 9:49 Arthur Zamarin
2024-03-02 11:18 Arthur Zamarin
2024-03-02 11:25 Arthur Zamarin
2024-03-02 12:24 Arthur Zamarin
2024-03-06 3:40 Sam James
2024-04-11 4:25 Michał Górny
2024-04-27 7:40 Michał Górny
2024-06-13 4:05 Michał Górny
2024-06-16 8:12 Petr Vaněk
2024-06-16 8:12 Petr Vaněk
2024-07-06 6:39 Sam James
2024-07-06 8:33 Michał Górny
2024-08-15 3:47 Michał Górny
2024-08-31 8:04 Jakov Smolić
2024-08-31 9:21 Michał Górny
2024-09-03 5:23 Michał Górny
2024-09-21 9:59 Sam James
2024-09-21 10:43 Michał Górny
2025-02-28 18:52 Michał Górny
2025-03-21 4:12 Michał Górny
2025-03-24 5:18 Michał Górny
2025-04-12 7:41 Michał Górny
2025-04-12 7:42 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1654871398.f6a8df2a7269d2d1b930fa462bf5388a0c160394.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox